import QtQuick

Item {
    id: _item
    width: 90
    height: 60
    property alias imageSource: image.source
    Rectangle {
        id: rectangle
        color: "#7a7a7a"
        radius: 10
        anchors.fill: parent

        Image {
            id: image
            width: 75
            height: 45
            anchors.verticalCenter: parent.verticalCenter
            source: "back_key.png"
            anchors.horizontalCenter: parent.horizontalCenter
            sourceSize.height: 512
            sourceSize.width: 512
            clip: false
            fillMode: Image.PreserveAspectFit
        }
    }
}
