import QtQuick

Item {
    width: 180
    height: 70
    property alias rectangleColor: rectangle.color
    property alias _textText: _text.text


    Rectangle {
        id: rectangle
        x: 0
        y: 0
        width: 180
        height: 70
        color: rectangleColor
        radius: 10
        border.color: "#ffffff"
        border.width: 5



        Text {
            id: _text
            color: "#ffffff"
            text: qsTr("Langage")
            anchors.fill: parent
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.family: "Tahoma"
        }
    }

}
