import QtQuick

Item {
    width: 150
    height: 75

    Rectangle {
        id: rectangle
        width: 150
        height: 75
        radius: 10
        border.color: "#ffffff"
        border.width: 5
        color: {
            if (!motusGame) return "#7a7a7a";
            return motusGame.remainingTime <= 20 ? "#e86161" : "#7a7a7a"; // rouge si <= 20s

        }

        Text {
            id: _text
            width: 150
            height: 75
            text: {
                if (!motusGame) return "—";
                let minutes = Math.floor(motusGame.remainingTime / 60);
                let seconds = motusGame.remainingTime % 60;
                return minutes + "m " + (seconds < 10 ? "0" + seconds : seconds) + "s";
            }
            font.pixelSize: 40
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            color: "#ffffff"
            font.family: "Tahoma"
        }
    }
}
