import QtQuick

Item {
    id: _item
    width: 50
    height: 50
    property alias rectangleBorderColor: rectangle.border.color
    property alias rectangleColor: rectangle.color

    property alias rectangleBorderwidth: rectangle.border.width
    property alias _textText: _text.text

    focus: false

    function resetFocus() {
        focus = true
    }

    Rectangle {
        id: rectangle
        width: 50
        height: 50
        color: "#323232"
        radius: 5
        border.color: "#ffffff"
        border.width: 3
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter

        Text {
            id: _text
            width: 50
            height: 50
            color: "#ffffff"
            text: qsTr("")
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 40
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.family: "Tahoma"
            font.styleName: "Regular"
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }


}
