#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "MotusGame.h"
#include <Qfile>


int main(int argc, char *argv[])
{

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;

    MotusGame motusGame;

    engine.rootContext()->setContextProperty("motusGame", &motusGame);

    QObject::connect(
        &engine,
        &QQmlApplicationEngine::objectCreationFailed,
        &app,
        []() { QCoreApplication::exit(-1); },
        Qt::QueuedConnection);

    engine.load(QUrl("qrc:/qt/qml/Motus/Main.qml"));
    return app.exec();
}
